/**
 * This class was generated by the CICS Transaction Gateway BMS
 * map conversion utility from the BMS map named EPIMAP.
**/
package itso.cics.epi;
import com.ibm.ctg.epi.*;               // CICS EPI support classes

public class EPIMAPMap extends Map {

   private static MapData mapData = new MapData( "EPIMAP",  1, 1, 24, 80, 9, 4 );

// Static identifiers for labelled fields 
   public static final int APPLID = 0;
   public static final int DATE = 1;
   public static final int TIME = 2;
   public static final int USERID = 3;

   private static int fieldIndex[] = { 2, 4, 6, 8
                                     };
   private static FieldData  fieldData[] = { new FieldData( 1, 1, 14 ),
                                             new FieldData( 3, 1, 7 ),
                                             new FieldData( "APPLID", 3, 15, 8 ),
                                             new FieldData( 4, 1, 5 ),
                                             new FieldData( "DATE", 4, 15, 8 ),
                                             new FieldData( 5, 1, 5 ),
                                             new FieldData( "TIME", 5, 15, 8 ),
                                             new FieldData( 6, 1, 7 ),
                                             new FieldData( "USERID", 6, 15, 8 )
                                            };


 /**
  * Constructs a map from a screen received from CICS.
  * 
  * @param screen the screen
  * 
  * @exception EPIException if the screen is not consistent with the map.
 **/
   public EPIMAPMap( Screen screen ) throws EPIException{
      super( mapData, fieldIndex, fieldData );
      setScreen( screen );
      if( !isValid() ) throw new EPIMapException("Map is not valid");
   }

 /**
  * Constructs a map with no associated screen. Use <code>setScreen</code>
  * to set the screen, then check whether the map is valid.
 **/
   public EPIMAPMap() {
      super( mapData, fieldIndex, fieldData );
   }

 /**
  * Accesses fields by name.
  * 
  * @param name the static identifier of this field
  * 
  * @returns the field, or null if not found.
 **/
   public Field field( int name ){
      return namedField( name );
   }

 /**
  * Accesses fields by name.
  * 
  * @param name the label of this field
  * 
  * @returns the field, or null if not found.
 **/
   public Field field( String name ){
      if( name == null )
          return null;
      for( int i=0; i<fieldLabels.length; i++ ){
         if( fieldLabels[i] != null && fieldLabels[i].equals( name ) ){
             return namedField( i );
         }
      }
      return null;
   }

} // end class

